# Uses of Class
net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl.AbstractSAMLDataConnectorParser.CustomPropertyDef

Packages that use AbstractSAMLDataConnectorParser.CustomPropertyDef
Package
Description
net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl
The parser for the SAML Data connectors.

## Uses of AbstractSAMLDataConnectorParser.CustomPropertyDef in net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl with type parameters of type AbstractSAMLDataConnectorParser.CustomPropertyDef
Modifier and Type
Field
Description
`private static final Map<String,AbstractSAMLDataConnectorParser.CustomPropertyDef>`
AbstractSAMLDataConnectorParser.`CUSTOM_PROPERTY_DEFS`
Map of custom property definitions for bean wiring.
`private static final Map<String,AbstractSAMLDataConnectorParser.CustomPropertyDef>`
SimpleAggregationSAMLDataConnectorParser.`CUSTOM_PROPERTY_DEFS`
Map of custom property definitions for bean wiring.
Method parameters in net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl with type arguments of type AbstractSAMLDataConnectorParser.CustomPropertyDef
Modifier and Type
Method
Description
`protected void`
AbstractSAMLDataConnectorParser.`resolveAndStoreCustomProperties(Map<String,AbstractSAMLDataConnectorParser.CustomPropertyDef> customPropertyDefs)`
Resolve and store the custom properties indicated by the input map.